View Issue Details

IDProjectCategoryView StatusLast Update
0001174bareos-core[All Projects] webuipublic2020-02-11 17:18
ReporterHiFlyerAssigned Tofrank 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformDell LaptopOSUbuntuOS Version18.04
Product Version19.2.4 
Fixed in Version 
Summary0001174: reversed sort order on the restore client selection
Descriptionon the restore tab in web-ui after selecting the client the available BACKUP displays them oldest first rather than the newest first. This is backwards to how it used to be and also most restores (at least for me) are for the newest backup. It was scary when no files showed up in the restore window till I recognized this reversal of display issue.
PS the version is really 19.2.5-1 which is not a product version you let me select above.
Steps To ReproduceGo to the restore tab, select a client and then look at the backups, they are oldest first, not newest first.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactno
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001178 closedarogge backup job selection in restore module is populated not properly 
related to 0001177 closedarogge Release Bareos 19.2.6 

Activities

frank

frank

2020-02-06 14:48

manager   ~0003732

Reproducable
frank

frank

2020-02-10 16:22

manager   ~0003765

Fix committed to bareos master branch with changesetid 12815.
frank

frank

2020-02-10 17:22

manager   ~0003766

Fix committed to bareos bareos-19.2 branch with changesetid 12817.
arogge

arogge

2020-02-11 17:18

developer   ~0003784

Fixed in Bareos 19.2.6

Related Changesets

bareos: master 8af04707

2020-02-06 15:25:00

frank

Ported: N/A

Details Diff
webui: Fix sorting of job selection in restore module

A recent bconsole command change in the getClientBackups method
of the client model lead to a wrong population of the backup job
selection to choose from in the restore module.

To fix this issue the population of the backup job selection list is
still done by the getClientBackups method but with the proper bconsole
command as it has been before.

The client details action now calls the getClientJobs method of the
client model to get a job list with all status instead a list of
successful backup jobs only.

Fixes 0001174: reversed sort order on the restore client selection
Affected Issues
0001174
mod - webui/module/Client/src/Client/Controller/ClientController.php Diff File
mod - webui/module/Client/src/Client/Model/ClientModel.php Diff File
mod - webui/module/Client/view/client/client/details.phtml Diff File

bareos: bareos-19.2 6ec9b548

2020-02-06 15:25:00

frank

Ported: N/A

Details Diff
webui: Fix sorting of job selection in restore module

A recent bconsole command change in the getClientBackups method
of the client model lead to a wrong population of the backup job
selection to choose from in the restore module.

To fix this issue the population of the backup job selection list is
still done by the getClientBackups method but with the proper bconsole
command as it has been before.

The client details action now calls the getClientJobs method of the
client model to get a job list with all status instead a list of
successful backup jobs only.

Fixes 0001174: reversed sort order on the restore client selection
Affected Issues
0001174
mod - webui/module/Client/src/Client/Controller/ClientController.php Diff File
mod - webui/module/Client/src/Client/Model/ClientModel.php Diff File
mod - webui/module/Client/view/client/client/details.phtml Diff File

Issue History

Date Modified Username Field Change
2020-02-06 01:29 HiFlyer New Issue
2020-02-06 01:29 HiFlyer Tag Attached: release
2020-02-06 14:43 frank Assigned To => frank
2020-02-06 14:43 frank Status new => assigned
2020-02-06 14:48 frank Status assigned => confirmed
2020-02-06 14:48 frank Note Added: 0003732
2020-02-06 16:11 frank Relationship added related to 0001178
2020-02-10 16:22 frank Changeset attached => bareos master 8af04707
2020-02-10 16:22 frank Note Added: 0003765
2020-02-10 16:22 frank Status confirmed => resolved
2020-02-10 16:22 frank Resolution open => fixed
2020-02-10 16:56 arogge Relationship added related to 0001177
2020-02-10 17:22 frank Changeset attached => bareos bareos-19.2 6ec9b548
2020-02-10 17:22 frank Note Added: 0003766
2020-02-11 12:09 frank Tag Detached: release
2020-02-11 17:18 arogge Status resolved => closed
2020-02-11 17:18 arogge bareos-master: impact => yes
2020-02-11 17:18 arogge bareos-master: action => fixed
2020-02-11 17:18 arogge bareos-19.2: impact => yes
2020-02-11 17:18 arogge bareos-19.2: action => fixed
2020-02-11 17:18 arogge bareos-18.2: impact => no
2020-02-11 17:18 arogge bareos-17.2: impact => no
2020-02-11 17:18 arogge bareos-16.2: impact => no
2020-02-11 17:18 arogge Note Added: 0003784